Retrieve Deeplink

Retrieve a deeplink created for a specific deeplink app.

GET/api/mobile/deeplink

This endpoint requires a deeplink-app API key and a full shortLink URL.

Query Parameters

ParameterTypeRequiredDescription
shortLinkstring (full URL)
Required
Stored deeplink URL, e.g. https://go.yourapp.com/invite-abc

Headers

ParameterTypeRequiredDescription
api-keystring
Required
From /{workspaceSlug}/deep-links -> App Settings tab -> App API Key

Example Request

curl -X GET "https://app.shortify.com/api/mobile/deeplink?shortLink=https%3A%2F%2Fgo.yourapp.com%2Finvite-abc" \
  -H "api-key: your_deeplink_app_api_key"

Response

200
Success
{
  "success": true,
  "data": {
    "id": "deeplink-id",
    "title": "Invite Deeplink",
    "url": "https://example.com/app-open",
    "domain": "go.yourapp.com",
    "key": "invite-abc",
    "shortLink": "https://go.yourapp.com/invite-abc",
    "linkType": "DEEPLINK",
    "deepLinkAppId": "app-id",
    "linkObject": {
      "object": {
        "campaign": "invite-2026"
      }
    },
    "tags": []
  }
}

Error Responses

400
Missing API key
{
  "success": false,
  "error": "Header Key is Required"
}
400
Missing shortLink
{
  "success": false,
  "error": "ShortLink is Required"
}
404
Deeplink app not found
{
  "success": false,
  "msg": "Deep Link App Not Found..Check Your API Key!"
}
404
Link not found
{
  "success": false,
  "msg": "Requested link could not be found"
}